(*
    ===========================================================================

    ݒ

    ---------------------------------------------------------------------------

    2004/02/08  n

    ===========================================================================
*)

unit Config;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  ExtCtrls, StdCtrls, Buttons;

type
  TConfigForm = class(TForm)
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    EditDesktopStr: TEdit;
    EditMyComputerStr: TEdit;
    EditMyNetworkStr: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Image4: TImage;
    EditWaitCount: TEdit;
    Label4: TLabel;
    BtnOK: TBitBtn;
    BtnCancel: TBitBtn;
    Bevel1: TBevel;
    Label5: TLabel;
    Label6: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure BtnOKClick(Sender: TObject);
    procedure BtnCancelClick(Sender: TObject);
  private

  public

  end;

procedure   OpenConfigForm();

implementation

{$R *.dfm}

uses
    iChii;

procedure   OpenConfigForm();
var
    ConfigForm: TConfigForm;
begin
    ConfigForm := TConfigForm.Create(Application);
    try
        ConfigForm.ShowModal();
    finally
        ConfigForm.Free();
    end;
end;

(*
    =================================================================
    RXgN^
    -----------------------------------------------------------------
    http://www2.big.or.jp/~osamu/Delphi/Tips/key.cgi?key=16
    http://www.borland.co.jp/qanda/delphi/d0003457.html
    =================================================================
*)
procedure TConfigForm.FormCreate(Sender: TObject);
var
    WindowLongValue: integer;
begin
    EditDesktopStr.Text    := iChii.DESKTOP_STR;
    EditMyComputerStr.Text := iChii.MYCOMPUTER_STR;
    EditMyNetworkStr.Text  := iChii.MYNETWORK_STR;
    EditWaitCount.Text     := IntToStr(iChii.ClickHere.WaitCount);

    //  l̂ݓ͂
    WindowLongValue := GetWindowLong(EditWaitCount.Handle,GWL_STYLE);
    WindowLongValue := WindowLongValue or ES_NUMBER;
    SetWindowLong(EditWaitCount.Handle, GWL_STYLE, WindowLongValue);
    //  
    PostMessage(EditWaitCount.Handle, EM_LIMITTEXT, 4, 0);
end;

(*
    =================================================================
    
    =================================================================
*)
procedure TConfigForm.BtnOKClick(Sender: TObject);
begin
    iChii.DESKTOP_STR         := EditDesktopStr.Text;
    iChii.MYCOMPUTER_STR      := EditMyComputerStr.Text;
    iChii.MYNETWORK_STR       := EditMyNetworkStr.Text;
    iChii.ClickHere.WaitCount := StrToInt(EditWaitCount.Text);

    Self.Close;
end;

(*
    =================================================================
    LZ
    =================================================================
*)
procedure TConfigForm.BtnCancelClick(Sender: TObject);
begin
    Self.Close;
end;

end.

